org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage

## Interface EMFPatternLanguageFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    EMFPatternLanguageFactoryImpl

      public interface EMFPatternLanguageFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `EMFPatternLanguagePackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EMFPatternLanguageFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassType` | `createClassType()` Returns a new object of class 'Class Type'.
    `EClassifierConstraint` | `createEClassifierConstraint()` Returns a new object of class 'EClassifier Constraint'.
    `EnumValue` | `createEnumValue()` Returns a new object of class 'Enum Value'.
    `PackageImport` | `createPackageImport()` Returns a new object of class 'Package Import'.
    `PatternImport` | `createPatternImport()` Returns a new object of class 'Pattern Import'.
    `PatternModel` | `createPatternModel()` Returns a new object of class 'Pattern Model'.
    `ReferenceType` | `createReferenceType()` Returns a new object of class 'Reference Type'.
    `XImportSection` | `createXImportSection()` Returns a new object of class 'XImport Section'.
    `EMFPatternLanguagePackage` | `getEMFPatternLanguagePackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final EMFPatternLanguageFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createXImportSection

          XImportSection createXImportSection()

      Returns a new object of class 'XImport Section'.
      Returns:
        a new object of class 'XImport Section'.

    - #### createPackageImport

          PackageImport createPackageImport()

      Returns a new object of class 'Package Import'.
      Returns:
        a new object of class 'Package Import'.

    - #### createPatternImport

          PatternImport createPatternImport()

      Returns a new object of class 'Pattern Import'.
      Returns:
        a new object of class 'Pattern Import'.

    - #### createEClassifierConstraint

          EClassifierConstraint createEClassifierConstraint()

      Returns a new object of class 'EClassifier Constraint'.
      Returns:
        a new object of class 'EClassifier Constraint'.

    - #### createEnumValue

          EnumValue createEnumValue()

      Returns a new object of class 'Enum Value'.
      Returns:
        a new object of class 'Enum Value'.

    - #### createPatternModel

          PatternModel createPatternModel()

      Returns a new object of class 'Pattern Model'.
      Returns:
        a new object of class 'Pattern Model'.

    - #### createClassType

          ClassType createClassType()

      Returns a new object of class 'Class Type'.
      Returns:
        a new object of class 'Class Type'.

    - #### createReferenceType

          ReferenceType createReferenceType()

      Returns a new object of class 'Reference Type'.
      Returns:
        a new object of class 'Reference Type'.

    - #### getEMFPatternLanguagePackage

          EMFPatternLanguagePackage getEMFPatternLanguagePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.